※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

初期状態
Ubuntu14.04LTS
Python 2.7.6


#pipのインストール
sudo apt-get install curl
curl -O http://peak.telecommunity.com/dist/ez_setup.py
sudo python ez_setup.py
sudo easy_install pip

#numpyのインストール
sudo apt-get install python-dev
sudo pip install numpy

#scipyのインストール
sudo apt-get install gfortran liblapack-dev libatlas-dev
sudo pip install scipy
#エラーが出たので
sudo apt-get install python-scipy

#pandasのインストール
sudo pip install pandas
#エラーがでたので
sudo apt-get install python-pandas

#iPythonのインストール
sudo apt-get install ipython

#matplotlibのインストール
sudo apt-get install python-matplotlib

#basemapのインストール
http://sourceforge.net/projects/matplotlib/files/matplotlib-toolkits/
最新版をダウンロード basemap-1.0.7.tar.gz

cd ~/Download
tar -xvf basemap-1.0.7.tar.gz

#geos-libのビルドからインストール エラーぽいコメントがでるがインストールされる。
cd ./basemap-1.0.7/geos-3.3.3
export GEOS_DIR=/usr/local
./configure --prefix=$GEOS_DIR
make
sudo make install
cd ..
sudo python setup.py install

#HDF4インストール
(これはpythonのモジュールではないと思う)
http://www.hdfgroup.org/release4/obtain.html
最新版をダウンロード(バイナリを)
cd ~/Download
tar -zxvf hdf-4.2.10-linux-x86_64.tar.gz
mv hdf-4.2.10-linux hdf4
sudo mv hdf4 /usr/local
sudo apt-get install hdf4-tools

#condaを入れる
sudo pip install conda

#pyhdfを入れる
(必要ない命令もあるかもしれないが、これで入った!)
sudo apt-get install libhdf4-dev
sudo apt-get install python2.7-dev

http://sourceforge.net/projects/pysclint/files/pyhdf/0.8.3/
からダウンロード

cd ~/Download
tar -zxvf pyhdf-0.8.3.tar.gz
cd ./pyhdf-0.8.3
export INCLUDE_DIRS=/usr/local/hdf4/include
export LIBRARY_DIRS=/usr/local/hdf4/lib
export NOSZIP=1

cd pyhdf
sudo apt-get install swig
swig -python hdfext.i
cd ..

#pyhdf-0.8.3フォルダにあるsetup.pyの29行目を修正する(szip_installed=False)
INCLUDE_DIRS=/usr/include/hdf/  #hdf4ではなくhdf
sudo python setup.py install -i $INCLUDE_DIRS


#ライブラリ一覧を確認
pip freeze

|